跳转到内容

平台现行的法律文本(使用条款、隐私声明、DPA 及其附件、开发者条款)

GET
/v1/legal
curl --request GET \
--url 'https://api.vimine.network/v1/legal?locale=it'

每种类型、每种语言各一条,均为今日现行的版本。?all=1 会加上以往版本的存档;?locale=it|en 用于限定语言。

locale

仅限此语言

string
允许的值: it en zh-Hans zh-Hant fr es de pt-BR
all

设为 1 时包含以往版本

string

文件列表

媒体类型application/json
object
documents
必填
Array<object>
object
uid
string 格式: uuid
kind
必填

文件类型(platform_terms、platform_privacy、platform_cookie、aps_terms、aps_dpa、aps_dpa_annex1_processing … developer_terms)

string
locale
必填
string
允许的值: it en zh-Hans zh-Hant fr es de pt-BR
version
必填

版本标签(1.0、1.1、…)

string
title
必填
string
summary

此版本的变更内容

string
可为 null
effective_from
string 格式: date-time
可为 null
retired_at
string 格式: date-time
可为 null
sha256

规范模板正文的 SHA-256

string
可为 null
current
必填

这是该类型在其语言中的现行版本

boolean
requires_reacceptance
boolean
archive

以往版本(使用 ?all=1 时)

Array<object>
object
uid
string 格式: uuid
kind
必填

文件类型(platform_terms、platform_privacy、platform_cookie、aps_terms、aps_dpa、aps_dpa_annex1_processing … developer_terms)

string
locale
必填
string
允许的值: it en zh-Hans zh-Hant fr es de pt-BR
version
必填

版本标签(1.0、1.1、…)

string
title
必填
string
summary

此版本的变更内容

string
可为 null
effective_from
string 格式: date-time
可为 null
retired_at
string 格式: date-time
可为 null
sha256

规范模板正文的 SHA-256

string
可为 null
current
必填

这是该类型在其语言中的现行版本

boolean
requires_reacceptance
boolean
示例
{
"documents": [
{
"locale": "it"
}
],
"archive": [
{
"locale": "it"
}
]
}

请求无效

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

未找到

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

已触发速率限制

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

内部错误

媒体类型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
示例自动生成
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}